<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISWorkflowName">VAM_api_dispatching_organization</Property>
		<Property name="ISServerName">dev02.virtimo.net</Property>
		<Property name="ISInvokingWorkflow">VAM_api_dispatching_api</Property>
		<Property name="var.log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="var.module">api</Property>
		<Property name="ISModuleId">261117</Property>
		<Property name="ISGlobalProcessId">884340</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISInvokingModule">VAM_api_wfc_context_organization</Property>
		<Property name="ISCurrentTime">1445926345756</Property>
		<Property name="ISProcessId">884340</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;parameters>&lt;name12>sadsada&lt;/name12>&lt;/parameters>&lt;startTimestamp>1445926345712&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api> 
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_API&lt;/loginName>  
        &lt;password>VPP_API&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>true&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT0H5M0S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress> 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting> 
  &lt;/api>&lt;am> 
      
    &lt;database> 
      &lt;uri>jdbc:oracle:thin:@dev02.virtimo.net:1521:xe&lt;/uri>  
      &lt;user> 
        &lt;loginName>VPP_AM&lt;/loginName>  
        &lt;password>VPP_AM&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>true&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;loginName>tc&lt;/loginName>&lt;name>Trans Parency Connect&lt;/name>&lt;eMailAddress>kaufhold+tc@virtimo.de&lt;/eMailAddress>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>Power User&lt;/role>&lt;role>Publication Framework&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;/permissions>&lt;createdOn>2015-10-27T06:10:22Z&lt;/createdOn>&lt;createdByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2015-10-27T06:10:22Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/lastUpdatedByUser>&lt;organizations>&lt;organization>&lt;id>14005&lt;/id>&lt;displayName>Publication Framework&lt;/displayName>&lt;name>Publication Framework&lt;/name>&lt;configuration>&lt;abc>D&lt;/abc>&lt;/configuration>&lt;createdOn>2015-10-27T06:10:22Z&lt;/createdOn>&lt;createdByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2015-10-27T06:10:22Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>13701&lt;/id>&lt;displayName>Trans Parency Connect&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
		<Property name="ISModuleName">VAM_api_demultiplexer</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.session" as="element()"/>
  &lt;xsl:template match="/">&lt;queries>&lt;query type="update">&lt;xsl:variable name="var.name" select="string($var.session/request/parameters/name)"/>&lt;xsl:variable name="var.id" select="$var.session/user/organizations/organization/id"/>&lt;tables>&lt;table>&lt;tableNames>&lt;tableName>ORGANIZATIONS&lt;/tableName>&lt;/tableNames>&lt;fields>&lt;field>&lt;fieldName>DISPLAYNAME&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="if ($var.name != '') then $var.name else $var.id"/>&lt;/fieldValue>&lt;/field>&lt;field>&lt;fieldName>NAME&lt;/fieldName>&lt;fieldValue>&lt;xsl:value-of select="$var.name "/>&lt;/fieldValue>&lt;/field>&lt;/fields>&lt;conditions>&lt;condition>&lt;leftValue>ID&lt;/leftValue>&lt;operation>=&lt;/operation>&lt;rightValue isValue="true">&lt;xsl:value-of select="$var.id"/>&lt;/rightValue>&lt;/condition>&lt;/conditions>&lt;/table>&lt;/tables>
          
        &lt;/query>&lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>